4

I am trying to understand the ramifications of updating to CiviCRM 5.0. Will extensions for 4.7 continue to work in 5.0? Will this continue in the long run?

For example iATS, ExtendedReprt, CiviDiscount, CiviVolunteer, Webform CiviCRM, and CiviCRM Entity.

Thanks, Josh

6

The 4.7 -> 5.0 increment is a normal monthly release. There shouldn't be any reason that extensions should break. The shift from 4.7 to 5.x is about changing how version numbers increment, not a major shift in how Civicrm core codebase works.

For more on the version number change there is a blogpost here https://civicrm.org/blog/dev-team/v50-the-littlest-biggest-increment

And you can dig into more about what exactly has changed here.

https://github.com/civicrm/civicrm-core/blob/master/release-notes.md

  • 2
    Speaking specifically for Extended Reports - there will be no further releases or support for any CiviCRM version lower than 5.x. I have already stripped out support for older versions of 4.7.x & released a new 5.x only release. However, the others are all treating 5.0 very much as 4.7.32 and that will be the norm for extensions. – user4278 May 7 '18 at 23:46

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.